{ config, ... }:

{
  services.arkheon.record = {
    enable = true;

    tokenFile = config.age.secrets."__arkheon-token_file".path;

    url = "https://arkheon.dgnum.eu";
  };

  age-secrets.sources = [ ./. ];

  # Allow using agenix for the token file
  system.activationScripts.arkheon-record.deps = [ "agenix" ];
}
